. .

Descoberta falha no Hyper-threading de CPUs Skylake e Kaby Lake

Uma falha no funcionamento da tecnologia Hyper-threading (HT) está afetando processadores Intel Core de 6ª e 7ª Geração, codinomes Skylake e Kaby Lake. A falha foi detectada por desenvolvedores do sistema Debian, e o relatório está disponível nesse link. Apesar de descoberta pela comunidade de desenvolvimento do sistema Linux, a falha pode atingir todos os sistemas operacionais.

O motivo da falha seria um problema do processador em lidar com algumas instruções, gerando comportamentos impossíveis de predizer. Essa falha parece acontecer apenas quando há dois núcleos lógicos por núcleo físico, tecnologia chamada de Hyper-threading pela Intel. O relatório sugere desabilitar temporariamente o recurso, já que a correção depende de correções por parte da própria Intel.

Antes de ficar alarmado, é preciso entender que as condições que causam o problema são bastante específicas, e não deve afetar a maioria dos consumidores domésticos. A falha pode levar a travamentos no sistema e perdas de dados, porém é pouco provável que vá atingir seu PC (caso possua um Intel Skylake ou Kaby Lake com HT). O problema foi identificado inicialmente em falhas do compilador OCaml, então se você estiver usando essa linguagem de programação com especificamente um desses hardwares, talvez seja por isso que aquele erro se recusa a ser resolvido.

O principal inconveniente dessa falha é que além de ajustes no microcódigo do processador por parte da Intel, será necessária também uma atualização no BIOS/UEFI, o que irá depender também das fabricantes de placas-mãe, tornado o imbróglio um tanto maior.

« Voltar